package com.example.catchTheLetters.entity;

import com.example.catchTheLetters.enums.MessageType;
import com.example.catchTheLetters.utils.GameMessageDeserializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import lombok.Data;

import java.io.Serializable;

/**
 * 游戏消息
 *
 * @author spyn
 */
@Data
@JsonDeserialize(using = GameMessageDeserializer.class)
public class GameMessage<T> implements Serializable {
    private long roomId;
    private MessageType type;
    private T data;

    public GameMessage(MessageType type, T data) {
        this.type = type;
        this.data = data;
    }

    public GameMessage(long roomId, MessageType type, T data) {
        this.roomId = roomId;
        this.type = type;
        this.data = data;
    }

    public GameMessage() {
    }
}
